survex (1.2.32-1+rpi1) buster-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 15 Mar 2018 04:22:51 +0000

survex (1.2.32-1) unstable; urgency=medium

  * New upstream release

 -- Olly Betts <olly@survex.com>  Sat, 08 Jul 2017 12:20:41 +1200

survex (1.2.31-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update for 2017.

 -- Olly Betts <olly@survex.com>  Sat, 01 Jul 2017 20:18:42 +1200

survex (1.2.30-1) unstable; urgency=medium

  * New upstream release
    + Adds man page for dump3d which should make lintian happier.
  * debian/rules: Enable bindnow and pie hardening flags.

 -- Olly Betts <olly@survex.com>  Tue, 04 Oct 2016 11:38:27 +1300

survex (1.2.29-1) unstable; urgency=medium

  * New upstream release:
    + Fixes "dash-ism" in testsuite which was causing a FTBFS when /bin/sh
      was bash (highlighted by reproducible builds).
    + Fixes deprecation warnings with latest FFmpeg package.

 -- Olly Betts <olly@survex.com>  Wed, 28 Sep 2016 10:47:09 +1300

survex (1.2.27-1) unstable; urgency=medium

  * New upstream release
    + Fixes uninitialised variable which was causing FTBFS on hurd via
      testsuite failure.  Closes: #821195.  Thanks to Colin Watson for patch.
  * debian/control: Note conformance with "Standards-Version: 3.9.8".
  * Use https for links to survex.com.

 -- Olly Betts <olly@survex.com>  Fri, 10 Jun 2016 23:19:44 +0100

survex (1.2.26-1) unstable; urgency=medium

  * New upstream release
    + Compatible with FFmpeg 2.9. (Closes: #803863)
    + Includes modern MIME mappings, so survex filetypes now have icons.
  * debian/survex-aven.menu: Remove obsolete file, fixes lintian warning.
  * debian/copyright: Update.

 -- Olly Betts <olly@survex.com>  Fri, 08 Jan 2016 12:27:19 +1300

survex (1.2.22-1) unstable; urgency=medium

  * New upstream release:
    + Includes fix-use-after-free-after-solve.patch so drop patch.
    + Fix conversion from coordinate systems using latitude and longitude.
    + Supports new *declination command.

 -- Olly Betts <olly@survex.com>  Mon, 17 Aug 2015 11:17:10 +0200

survex (1.2.20-2) unstable; urgency=medium

  * Fix use after free which was causing test suite failure on some
    architectures.

 -- Olly Betts <olly@survex.com>  Fri, 26 Jun 2015 15:41:11 +1200

survex (1.2.20-1) unstable; urgency=medium

  * New upstream release:
    + Upstream has dropped svxedit so drop the survex-svxedit package.
    + Adds terrain visualisation, so note this in the package description.
    + Installs filetype and app icons under /usr/share/icons/hicolor, which is
      where modern desktops look for them.
    + survex-aven.desktop: Adds %f to Exec
  * Add a link to the sample data in README.Debian, as suggested by Andy
    Waddington a mere 7 years ago.

 -- Olly Betts <olly@survex.com>  Fri, 26 Jun 2015 12:55:51 +1200

survex (1.2.16-1) unstable; urgency=low

  * New upstream release.
  * debian/control: "Standards-Version: 3.9.6" - no changes required.
  * debian/control: Improve descriptions - in particular, stop trying to
    explicitly list all the languages there are translations to.

 -- Olly Betts <olly@survex.com>  Fri, 17 Oct 2014 22:38:44 +1300

survex (1.2.14-1) unstable; urgency=medium

  * New upstream release.
  * Ship dump3d.  (Reported by Mike Lake on the survex mailing list).

 -- Olly Betts <olly@survex.com>  Wed, 23 Jul 2014 16:41:06 +1200

survex (1.2.13-1) unstable; urgency=medium

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Thu, 15 May 2014 17:31:23 +1200

survex (1.2.12-1) unstable; urgency=medium

  * New upstream release:
    + Fixes to work with libav10. (Closes: #739332)
  * debian/control: survex-svxedit works fine with tk8.5, so update dependency
    on tk8.4|wish to tk8.5|wish - the Debian Tcl/Tk maintainers are aiming to
    remove tk8.4 before jessie.
  * debian/control: Update to build against wxWidgets 3.0 instead of 2.8.
  * debian/copyright: Update for 2014.

 -- Olly Betts <olly@survex.com>  Mon, 14 Apr 2014 16:56:11 +1200

survex (1.2.11-1) unstable; urgency=medium

  * New upstream release
    + Includes avcodec_free_frame-fix.patch so drop patch
  * debian/watch: Add pgpsigurlmangle setting to automatically verify
    detached GPG signatures on upstream release tarballs.
  * Update to dh compat level 9 to enable use of hardening flags.

 -- Olly Betts <olly@survex.com>  Tue, 28 Jan 2014 15:54:37 +1300

survex (1.2.8-1) unstable; urgency=low

  * New upstream release
    + Includes all changes in debian/patches, so drop these.
    + Works with libav 9 API (with additional patch
      avcodec_free_frame-fix.patch).  (Closes: #721042)
    + Add B-D on libproj-dev for GPX export.
  * "Standards-Version: 3.9.5" - no changes required.

 -- Olly Betts <olly@survex.com>  Wed, 30 Oct 2013 12:40:02 +1300

survex (1.2.6-4) unstable; urgency=low

  * Normalise expected cavern output used by cavern.tst, to avoid sporadic
    test failures on slower buildds.

 -- Olly Betts <olly@survex.com>  Wed, 16 May 2012 12:48:58 +0000

survex (1.2.6-3) unstable; urgency=low

  * Try harder to enforce known i18n state, and report environment in case this
    fails.

 -- Olly Betts <olly@survex.com>  Tue, 15 May 2012 23:23:43 +0000

survex (1.2.6-2) unstable; urgency=low

  * Fix further testcase issues due to i18n of expected output.

 -- Olly Betts <olly@survex.com>  Tue, 28 Feb 2012 05:11:38 +0000

survex (1.2.6-1) unstable; urgency=low

  * New upstream release.
    + New temporary patch fix-equatenosuchstn-testcase.patch to fix new failing
      testcase in this release (already fixed in upstream git).
  * "Standards-Version: 3.9.3" - no changes required.

 -- Olly Betts <olly@survex.com>  Fri, 24 Feb 2012 01:01:23 +0000

survex (1.2.5-1) unstable; urgency=low

  * New upstream release.
    + Work with newer FFmpeg. (Closes: #654223)
    + Incorporates survex-manpage-section.patch, so drop patch.

 -- Olly Betts <olly@survex.com>  Tue, 03 Jan 2012 13:12:15 +0000

survex (1.2.4-1) unstable; urgency=low

  * New upstream release.
  * New patch survex-manpage-section.patch to fix section mismatch.

 -- Olly Betts <olly@survex.com>  Sun, 01 Jan 2012 04:37:03 +0000

survex (1.2.2-1) unstable; urgency=low

  [Olly Betts]
  * New upstream release.
    + Package new aven.svg icon.
  * I'm now the maintainer, Wookey comaintainer, to reflect my doing most of
    the packaging work recently (changed with Wookey's agreement).
  * Use Wookey's debian.org address to match his other packages.
  * Redo packaging to use dh.
  * debian/survex-aven.lintian-overrides: Lintian has dropped "./" from the
    path of the binary, so update override to match.
  * debian/survex.install: Update for move of survex man page to section 7.
  * Add build-deps for movie export support.
  * README.Debian: Fix typo spotted by lintian.
  * debian/copyright: Update.

 -- Olly Betts <olly@survex.com>  Fri, 07 Oct 2011 00:59:27 +0000

survex (1.1.16-1) unstable; urgency=low

  [Olly Betts]
  * New upstream release.
    + Explicitly links with -lGL, if it exists, to support linking with gold or
      GNU ld --as-needed.  (Closes: #615781)
  * debian/control:
    + "Standards-Version: 3.9.2" - no changes required.
    + Expand descriptions of survex-aven and survex-svxedit.

 -- Olly Betts <olly@survex.com>  Mon, 16 May 2011 06:55:27 +0000

survex (1.1.15-1) unstable; urgency=low

  [Olly Betts]
  * New upstream release.
  * debian/copyright: Use http://survex.com/ rather than http://www.survex.com/
    - the former is the canonical name and www.survex.com just redirects.

 -- Olly Betts <olly@survex.com>  Sat, 16 Oct 2010 12:12:24 +0000

survex (1.1.14-1) unstable; urgency=low

  [Olly Betts]
  * New upstream release.
  * debian/control: "Standards-Version: 3.9.1" - no changes required.
  * debian/watch: Update to look in the right place for 1.1.x.
  * debian/survex-aven.lintian-overrides: The warning for the misspelling of
    "reencode" is incorrect - it's a PostScript command in this context.

 -- Olly Betts <olly@survex.com>  Mon, 26 Jul 2010 14:30:44 +0000

survex (1.1.13-1) unstable; urgency=low

  [Olly Betts]
  * New upstream release.
  * Drop "www." from Homepage, as that's canonical now.
  * Use vim-addon-manager to manage the Survex vim syntax highlighting mode.
  * debian/watch: Update to look on the right download page.
  * debian/copyright: Update to list all copyright holders.

 -- Olly Betts <olly@survex.com>  Fri, 18 Jun 2010 13:18:15 +0000

survex (1.0.39.1-4) unstable; urgency=low

  [Olly Betts]
  * debian/control:
    + Drop dependency on dpkg-dev entirely as it's build-essential.
    + "wxWindows" -> "wxWidgets" in description.
    + survex-svxedit: Move ${misc:Depends} from Recommends to Depends.
  * debian/rules: "dh_clean -k" -> "dh_prep".

 -- Olly Betts <olly@survex.com>  Sun, 16 May 2010 12:11:18 +0000

survex (1.0.39.1-3) unstable; urgency=low

  [Olly Betts]
  * Add myself as co-maintainer with consent of maintainer.
  * ACK NMU.  (Closes: #515392)
    + debian/rules: Force $DISPLAY to be empty rather than disabling the
      testsuite as the NMU did.
  * Upgrade from debhelper compat level 4 to 7.
  * debian/control:
    + Add ${misc:Depends} for survex-svxedit.
    + Standards-Version: 3.8.4.
    + Remove version requirement from dpkg-dev build dependency as even etch
      had a new enough version.
  * Use latest config.sub and config.guess from autotools-dev.
    (Closes: #567630)
  * debian/rules:
    + Support nocheck and parallel=<n> in DEB_BUILD_OPTIONS.
    + Remove calls to dh_desktop (now deprecated and a no-op).
  * debian/source/format: "3.0 (quilt)"
  * debian/survex-aven.desktop,debian/survex-svxedit.desktop: Remove deprecated
    "Encoding: UTF-8"; remove deprecated category "Application".

 -- Olly Betts <olly@survex.com>  Sat, 15 May 2010 22:46:04 +0000

survex (1.0.39.1-2.2) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * debian/control
    - (Build-Depends): update obsolete x-dev to x11proto-core-dev.
      (important RC bug; Closes: #515392).
  * debian/rules
    - (build-stamp): Check that DISPLAY is set before running tests.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 31 Mar 2010 07:16:32 +0300

survex (1.0.39.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to unquoted configure arguments.  (Closes: #476026)
  * Change doc-base section to Science/Geoscience to fix a Lintian warning.

 -- James Vega <jamessan@debian.org>  Wed, 30 Apr 2008 23:12:41 -0400

survex (1.0.39.1-2) unstable; urgency=low

  * Patch to use wx2.6 as 2.4 has been removed from Debian (closes: bug#462031)
  * Add note that vim addons no longer automatically included (closes: bug#464822)
  * Fix Lintian issues

 -- wookey <wookey@survex.com>  Wed, 20 Feb 2008 03:30:25 +0000

survex (1.0.39.1-1) unstable; urgency=low

  * Upload with version number that sorts higher than the hppa binNMU,
    to actually fix the uninstallable on hppa problem
  * Add .desktop files: (closes: bug#403870)

 -- Wookey <wookey@survex.com>  Thu, 28 Dec 2006 13:45:09 +0000

survex (1.0.39-1) unstable; urgency=high

  * "urgency=high" because survex-aven is currently uninstallable on hppa
    after a binNMU (which is an RC bug).  The other changes are very safe too.
  * debian/control: Make binNMU safe.
  * debian/control: Lowercase first letter of description for survex package
    as recommended by "best packaging practices".
  * debian/copyright.in,debian/copyright: Fix failed automatic substitution
    of copyright statements.
  * debian/control: "Standards-Version: 3.7.2" - no changes required.
  * debian/doc-base: Use valid "Apps/Science" section, not invalid "math";
    Use document ID "survex-manual" rather than the overly generic "manual"
    since the document ID is supposed to be unique.

 -- Wookey <wookey@survex.com>  Sat, 16 Dec 2006 04:50:47 +0000

survex (1.0.39) unstable; urgency=low

  * Updates to French translation from Michel Bovey.  Also updates to German,
    Italian, Catalan, Spanish, and Romanian translations.
  * test suite: fix smoke test to pass even without X running (it was meant to
    but the code had a bug).  Bug introduced in 1.0.38.
  * Updated "Build-Depends:" for the new X library packaging. Closes: #347108
  * Rebuilt debian/rules starting from debhelper example rules.multi2 to
    eliminate cruft such as use of debhelper programs which are deprecated or
    have better alternatives.  The new rules file puts exactly the same set of
    files in each package as the old one does, but should be easier to
    understand and maintain.

 -- Wookey <wookey@survex.com>  Thu, 12 Jan 2006 03:36:05 +0000

survex (1.0.38) unstable; urgency=low

  All changes backported from 1.1.7:
  * Check environmental variable LC_MESSAGES when deciding what language to use
    for messages.
  * aven: Improved update of mouse coordinates and measuring line (thanks to
    Martin Green).
  * aven: When printing an extended elevation, don't show bearing and elevation.
  * aven: Added Aven's icon to the "About" dialog.
  * aven: Use localised character for the decimal point (e.g. "," in most
    continental European countries).
  * aven: Previously the survey tree would get focus and then take keypresses
    (e.g. "P", "L", "Delete").  Now we pass most keypresses across so they
    operate on the cave, and transfer the input focus across when we do.
  * aven: Make pressing "Return" in the tree control expand/collapse a subtree.
  * aven: Make entrances green in side panel tree list to match green blobs used
    in cave view.
  * aven: Reworded "Restore Default Settings" as "Restore Default View".
  * aven: Set sensible default margins for printing and preserve any margin
    values the user specifies between runs (previously margins defaulted to 0
    each time aven was run).
  * aven: Really stop setting extra toolbar margin when using GTK2.0.  The
    attempt to fix this backported in 1.0.36 failed because __WXGTK12__ is set
    for GTK+ 1.2 or *any later release* so it is true for GTK+ 2.0 too!
  * aven: Add details of which of wxGTK, wxMotif, and wxX11 we've been
    compiled with, and which GTK+/Motif version where appropriate.
  * extend: Fixed 2 uninitialised flags (problem apparently never manifests
    on Linux - presumably we're lucky and always get zeroed memory from malloc
    if we never call free).
  * extend: Default output name for a file called input.3d is now
    input_extend.3d rather than just extend.3d (which was annoying if you
    wanted to extend several surveys in the same directory).
  * cavern: Applied Simeon Warner's patch for handling backcompass, backclino,
    and omitted forward compass/clino readings in Compass DAT files.  Added
    a feature test for this to the testsuite.
  * cavern: Fix handling of a *solve followed by survey data, none of which is
    attached to the previous data.
  * cavern: Fixed "No survey data" error when a *solve is followed by another
    *solve (or the implicit solve at the end of processing) with no data between
    them.
  * cavern: Fixed small one-off memory leak if you specify -o more than once.

 -- Wookey <wookey@survex.com>  Tue, 18 Oct 2005 04:33:32 +0100

survex (1.0.37) unstable; urgency=low

  * cavern: Also ignore any arguments after "*data passage" which makes this
    feature actually useful as intended.
  * aven: Recognise .3d file format versions 4 and 5 so you can load .3d files
    processed by 1.1.x test builds.
  * aven: Normalise filename by adding any extension used, and use the
    normalised filename for file history and window title.

 -- Wookey <wookey@survex.com>  Sat, 10 Sep 2005 19:31:20 +0100

survex (1.0.36) unstable; urgency=low

  * cavern: Ignore "*data passage" data style so you can process files
    containing LRUD data for Survex 1.1.3 and later.
  * cavern: Fix assertion failure when handling a survey with a station only
    attached by a nosurvey leg.
  * Capitalise first word of debian package description.
  * Install vim syntax file as debian vim policy describes.
  * Changes backported from 1.1.3:
    + aven: Improve initial window sizing and placement on multimonitor
      displays when using wx2.4 or earlier.
    + testsuite: Fix cavern.tst to report misspelled test names and
      make badnewline test case actually run and actually pass.
    + aven: Only add toolbar margins for gtk1.2
    + configure: Updated check for wx version.

 -- Wookey <wookey@survex.com>  Thu, 08 Sep 2005 00:39:51 +0100

survex (1.0.35) unstable; urgency=low

  * Standards-Version: 3.6.2 (no changes).
  * aven: Fix printing which was deciding how many pages to spread the plot
    over by looking at the whole paper size, not the printable area.
  * aven: When exporting, omit surface data if it's not being shown at the
    moment.  Also omit unnecessary MOVE ops from generated files (which saves
    quite a lot of space when surface data is turned off).
  * Set Aven's icon on non-Windows platforms too.  This means that with
    windowmaker the appicon has an icon without user intervention, and
    probably improves things with other windowmanagers too.
  * extend: Added documentation and test cases for the new extend features.
  * manual: Fix example of setting decimal separator.
  * Include syntax colouring mode for .svx files for the vim editor, written
    by David Loeffler.

 -- Wookey <wookey@survex.com>  Mon, 27 Jun 2005 22:32:19 +0100

survex (1.0.34) unstable; urgency=low

  * extend: Added changes from John Pybus which allow you to specify a
    configuration file to control how the centreline is extended - e.g.
    where to fold and where to break loops.

 -- Wookey <wookey@survex.com>  Sat, 22 Jan 2005 01:44:39 +0000

survex (1.0.33) unstable; urgency=low

  * aven: Fixed bug which would sometimes pick one too few pages
    vertically resulting in the survey escaping off the top of the topmost
    pages.
  * aven: Changed the toner-wasting, hard-to-measure-exactly alternately filled
    scale bar to a simple line with ticks.
  * aven: SVG export fixes: second and subsequent exports had bogus extra
    "</g>"; Fixed to invert all Y coordinates, not just some; Fixed tags for
    layers.
  * aven: Added EPS export option.
  * Minor documentation updates.

 -- Wookey <wookey@survex.com>  Wed, 13 Jan 2005 05:40:38 +0000

survex (1.0.32) unstable; urgency=low

  * aven: Fixed font sizes in "Print Preview".
  * aven: In the print setup dialog, replaced "Orientation" radio buttons with
    "Plan" and "Elevation" buttons.
  * aven: Fixed info box on printouts of elevations, tilted views, and
    extend elevations.
  * aven: Added "fit on one page" option, and make it the default.
  * aven: Reorder "Cancel", "Preview", "Print" buttons and make "Print" the
    default button.
  * aven: Read settings back from the print dialog when the "Print" button is
    pressed (was only done for "Preview" previously).
  * aven: Sorted out the initial size of the "Print Preview" window.
  * aven: Fixed the window manager's close button on the "Print Preview"
    window - previously this was being ignored.
  * aven: Sorted out initial survey scaling when loading a survey at startup.
  * aven: Fixed the measuring line to work better when the survey tree is
    manipulated with keys.  Tweaked redrawing of the measuring line to be a
    smidgen more efficient.  Fixed the blob and ring size which were one
    pixel too small on Windows.
  * aven: Added "System Information:" section to the "About" dialog to hold
    information useful when reporting bugs.  Currently it contains the
    wxWindows version, OS version, and colour depth information.
  * aven: Changed the "About" dialog's "Close" button to be "OK" for
    consistency with pretty much every other application.
  * aven: Added "File->Export as..." which integrates cad3d's functionality
    within aven.
  * aven: Updated a few icons.
  * cad3d: Added SVG export support from John Pybus
  * Fixed to allow compilation with GCC 3.4
  * Updates to German translation.

 -- Wookey <wookey@survex.com>  Thu, 30 Sep 2004 23:07:39 +0100

survex (1.0.31) unstable; urgency=low

  * aven: Fixed grid menu item so that it always correctly reflects whether
    the grid is enabled or not.
  * aven: Minor improvements to appearance of a few toolbar icons.
  * Updates to Catalan, French, Italian, Romanian, Slovak, and Spanish
    translations.
  * cavern: Fixed Romanian message which was appearing in English .err files.

 -- Wookey <wookey@survex.com>  Thu, 01 Jul 2004 01:36:19 +0100

survex (1.0.30) unstable; urgency=low

  * aven: Added printing directly from Aven!
  * aven: Fixed memory leak when showing the "About" dialog.
  * cavern: Equates are no longer considered when deciding which stations are
    flagged as surface and underground.
  * Romanian translation mostly completed.
  * Minor packaging tweaks (added website URL and changed package descriptions
    to start with a lowercase letter as suggested by packaging guidelines).

 -- Wookey <wookey@survex.com>  Sat, 29 May 2004 23:01:13 +0100

survex (1.0.29) unstable; urgency=low

  * cad3d: Fixed problem with DXF files which stopped them loading with some
    drawing packages (introduced in 1.0.27).
  * aven: Changed File->Exit to File->Quit.
  * Removed some unused messages from the message files.
  * Romanian translation started.
  * Fixed a few new lintian warnings.
  * Fixed new lintian warnings about missing quotes in menu files.

 -- Wookey <wookey@survex.com>  Mon, 19 Mar 2004 14:55:23 +0000

survex (1.0.28) unstable; urgency=low

  * Fixed 3d file reading code to fix incorrect unpacking of compressed
    station names in a rare case.  Also checked other rare cases work
    correctly.

 -- Wookey <wookey@survex.com>  Mon, 08 Mar 2004 20:54:03 +0000

survex (1.0.27) unstable; urgency=low

  * cad3d: DXF output now puts surface legs, stations, and labels in separate
    layers.
  * debian/control,debian/rules: The default gcc/g++ is now c102 so removed
    code to explicitly use GCC 3.2.

 -- Wookey <wookey@survex.com>  Wed, 07 Jan 2004 03:27:58 +0000

survex (1.0.26) unstable; urgency=low

  * Standards-Version: 3.6.1 (no changes).
  * Fixed lintian warning.
  * Tidied up debian/rules.
  * cavern: Fixed interleaved topofil data style - the length was always being
    calculated as zero.
  * aven: "All Files" now shows files without extensions too.
  * aven: added Ctrl+Q as shortcut for File->Exit.
  * aven: depth colouring now uses a proper colour gradient.
  * cad3d: fixed -e and -r options to not crash (the long versions have always
    worked).
  * extend: fixed to initialise an internal structure - failing to do so was
    probably causing crashes on some platforms.
  * Fixed standard graphics for "Note", "Warning", etc in the PostScript manual.
  * Documentation updated.
  * fixed svxedit man page which previously contained xcaverot documentation!
  * test suite: check that cavern doesn't report "nan" or "NaN" for any values.

 -- Wookey <wookey@survex.com>  Sat, 29 Nov 2003 00:40:24 +0000

survex (1.0.25) unstable; urgency=low

  * Updated config.guess and config.sub (closes: bug#186687).
  * Added missing Build-Depends on xlibs-dev (closes: bug#186956).

 -- Wookey <wookey@survex.com>  Mon, 31 Mar 2003 17:49:29 +0100

survex (1.0.24) unstable; urgency=low

  * cavern: fixed LEVEL (broken since around 1.0.8) and added test case.
  * cavern: corrected handling of declination in Compass DAT files and added
    test case; also added tests for other aspects of Compass DAT file
    reading.
  * printps/printpcl: fixed blank page detection in some obscure cases.
  * Documentation: started manual section on working with Compass data files.
  * Added Build-Depends on gcc-3.2 and g++-3.2.

 -- Wookey <wookey@survex.com>  Fri, 28 Mar 2003 02:03:16 +0000

survex (1.0.23) unstable; urgency=low

  * Documentation: include 3d v3 file format description on MS Windows, MS
    DOS, and RISC OS too; include PNG graphics for manual on MS Windows; minor
    updates to manual.
  * Prefer wxWindows 2.4 if it's available (closes: bug#183158).
  * Disabled experimental support for Chinese (LANG=zh) - it isn't currently
    working and makes the printer drivers unusable when LANG is set to zh.
  * Changed Section from math to science.
  * Changed Priority from optional to extra (we clearly should be optional).
  * Standards-Version: 3.5.8.0 (support DEB_BUILD_OPTIONS).

 -- Wookey <wookey@survex.com>  Tue, 04 Mar 2003 20:54:17 +0000

survex (1.0.22) unstable; urgency=low

  * aven: Fixed handling of extended elevations (and other flat surveys).
  * Documentation: fixed 3d v3 file format description and include it in debs.
  * Build-Depends on libwxgtk2.3-dev|libwxgtk2.2-dev so we still build on
    hppa while Ron Lee resolves the wx hppa build failure.

 -- Wookey <wookey@survex.com>  Tue, 26 Nov 2002 04:22:26 +0000

survex (1.0.21) unstable; urgency=low

  * cavern: when reading Compass DAT files, we now processes compass and clino
    backsights, and recognise the "X" flag which indicates a leg should be
    entirely ignored.  And we now report correct line number with errors in
    Compass .MAK files.
  * cavern: if "*infer plumbs on", don't infer a plumb if the clino is
    +/- 90 degrees, but the backclino isn't (and vice versa).
  * cavern: fixed 3dx output so it actually works with Chasm once more.
  * cavern: don't allocate extra space needed for producing 3dx output for
    Chasm unless we're actually producing that output - saves about 8 bytes
    per station.
  * cavern: removed slightly too keen sanity check which could misfire in very
    unusual circumstances.

 -- Wookey <wookey@survex.com>  Sat, 16 Nov 2002 15:15:12 +0000

survex (1.0.20) unstable; urgency=low

  * aven: update display when "Metric" or "Degrees" is toggled.
  * cavern: fixed handling of compass and clino corrections in Compass survey
    data - these were interpreted as radians rather than degrees so the
    correction was about 57 times too large!)
  * Improved handling of Compass PLT files - if the survey name is empty, don't
    insert a survey separator character.
  * Documentation: fixed incorrect markup which resulted in a bogus footnote.
  * Use wxwindows-2.3 rather than wxwindows-2.2 (closes: bug#166105).

 -- Wookey <wookey@survex.com>  Fri, 01 Nov 2002 15:28:37 +0000

survex (1.0.19) unstable; urgency=low

  * cavern: can now process Compass format survey data, and even mixed
    datasets.
  * cavern: major speedup (up to 60%) when reading in survey data containing
    a lot of stations in the same survey hierarchy level (which is how Compass
    files are handled).
  * cavern: don't warn about a compass reading on a plumbed leg if the
    plumb was inferred and the compass reading is zero.
  * cavern: reduced memory usage in code which reads a survey station name.
  * cavern: reported CPU time would go negative if cavern ran for more than
    about 36 minutes (highly unlikely but not impossible on a slow machine
    with a large, highly interconnect survey) - fixed.
  * cavern: avoid unnecessary work when --percentage isn't specified.
  * cavern: Writing "*:" at the start of a .svx file would crash cavern - fixed
    and added test case.  This is an error anyway, but it shouldn't cause a
    crash.
  * Don't distribute unused toolbar icons.
  * Documentation: minor updates.

 -- Wookey <wookey@survex.com>  Fri, 25 Oct 2002 03:16:34 +0100

survex (1.0.18) unstable; urgency=low

  * Fixed "Process" action on .svx files.
  * File associations: if survex-svxedit isn't installed, run gnome-edit
    instead.
  * Include file associations and file icons in the main package rather than
    survex-aven.
  * Documentation: added details of the 3d file format (version 3).
  * Updated TODO list.
  * Tweaked source to hopefully build on HPPA again (closes: bug#162912).
  * Proper description for survex-svxedit (closes: bug#162954, bug#162970).

 -- Wookey <wookey@survex.com>  Mon, 07 Oct 2002 00:29:05 +0100

survex (1.0.17) unstable; urgency=low

  * Note: 1.0.15 and 1.0.16 addressed MS Windows specific problems.
  * survex-aven package now installs mime types, icons, and file associations
    for Gnome.  Note: at present GMC doesn't seem to notice new files being
    created (e.g.  Process on a .svx file creates .3d and .err files) - you
    have to manually refresh the view.
  * survex-svxedit is now architecture independent.  Fixed up a few lintian
    warnings relating to it too.
  * Minor update to manual.

 -- Wookey <wookey@survex.com>  Tue, 24 Sep 2002 20:20:20 +0100

survex (1.0.14) unstable; urgency=low

  * svxedit: This is a Survex data entry editor from the therion team.  It
    currently experimental needs tcl and wish installed, so is it its own
    package: survex-svxedit.
  * Improved handling of Compass PLT files and CMAP xyz files.
  * aven: when picking non-overlapping labels, show a slight preference to
    shorter labels with the aim of displaying more labels.
  * aven: fixed hard to notice problem which could cause the cave to appear
    tilted sideways after a lot of manipulation.
  * cavern: Modest speed improvement (0.5% for sample dataset).
  * cavern: fixed a rarely sighted bug which caused erroneous error about some
    stations not being attached to a fixed point.
  * cavern: fixed clino readings and DIRECTION to work in interleaved data.
  * cavern: improved error reporting when an invalid value is given for a
    DIRECTION reading.
  * cavern: fixed "singular matrix" error when very low SDs were specified.
  * print*: if the --raw is used, the survey can now use the space this would
    have taken up.
  * Reading of ASCII 3d files now copes with MSDOS/MS Windows line endings
    once again.  Added regression test for this.
  * Updated documentation.

 -- Wookey <wookey@survex.com>  Sun, 15 Sep 2002 00:11:05 +0100

survex (1.0.13) unstable; urgency=low

  * aven: Fixed bug which caused the occasional spurious leg to be shown
    connecting arbitrary stations.
  * extend: try to extend along a survey, and make breaks where other surveys
    join.
  * cavern: Number reading code reworked to allow repeat readings to be
    supported, but the actual repeat reading code is currently disabled,
    and everything should work exactly as before.
  * Experimental support for Chinese (LANG=zh) - only a few messages are
    currently translated.

 -- Wookey <wookey@survex.com>  Fri, 28 Jun 2002 15:34:26 +0100

survex (1.0.12) unstable; urgency=low

  * diffpos: fixed to work on 64bit architectures.
  * sorterr: fixed to work with more than 1024 traverses.
  * Fixed handling of iso-8859-2 character set.
  * Fixed Aven to work from Debian Apps menu (running an installed program
    with an explicit path works again).
  * xcaverot: automatically switch on PDA mode if the screen is narrower than
    640 pixels.
  * Updates to Portuguese translation - all translations are now up-to-date.

 -- Wookey <wookey@survex.com>  Fri, 07 Jun 2002 18:16:30 +0100

survex (1.0.11) unstable; urgency=low

  * aven: improvements in 1.0.10 to the file type selector only work with
    wxGtk >= 2.3 (the debian package is the latest stable release: 2.2.9
    where this doesn't work).  Fixed to work as well as possible on 2.2.9,
    and as intended if rebuilt against 2.3.
  * aven: fixed so that loading PLT files works regardless of the current locale
    (previously it would fail for locales where the decimal character wasn't
    '.').
  * aven: key actions during autorotation no longer temporarily pause
    autorotation.
  * aven: switching to plan or elevation while rotating is now smooth.
  * aven: removed undocumented and confusing "free rotation mode".
  * cad3d: write dummy passage dimensions to .plt files to avoid Compass bug.
  * printps: now supports coloured printouts.
  * print*: fixed to work correctly with PLT files.
  * extend: fixed to work correctly with PLT files.
  * Updates to Italian translation.
  * Minor documentation updates.

 -- Wookey <wookey@survex.com>  Wed, 29 May 2002 13:44:31 +0100

survex (1.0.10) unstable; urgency=low

  * aven: Fully disabled some debug code (closes: bug#147309).
  * aven: only add a file to the list of recently used files if it was opened
    successfully.
  * aven: recognise ".plf" as a Compass PLT file too; recognise uppercase
    variants of file extensions in File->Open filters to help people who
    transfer files from MSDOS/MS Windows.
  * cavern: fixed bogus warning triggered by "*begin abc.def" (I'm not sure
    that this should be valid, but the warning given wasn't appropriate).
  * Fixed scaling problem when reading PLT file (feet->metres conversion
    factor was being applied backwards!)
  * Fixed potential problem when reading or writing a 3d file which couldn't
    be opened.
  * Translate dots to spaces in survey names in Compass PLT files.
  * Better handling of PLT files which have a D command before any M command.
  * Updates to German and Italian internationalisations.

 -- Wookey <wookey@survex.com>  Fri, 24 May 2002 12:48:54 +0100

survex (1.0.9) unstable; urgency=low

  * aven: Fixed jerky start when auto-rotation begins.
  * cavern: Fixed Direction reading - bug previously made it unusable.
  * Updates to French, Spanish, Catalan, and Slovak internationalisations.

 -- Wookey <wookey@survex.com>  Fri, 17 May 2002 12:06:48 +0100

survex (1.0.8) unstable; urgency=low

  * aven: lots of improvements and fixes - now uses 25% less memory.
  * cavern: support for backsights, percentage gradients, inferred exports,
    and a few minor bug fixes.
  * print*: a few improvements.
  * New Slovak (sk) internationalisation.

 -- Wookey <wookey@survex.com>  Mon, 13 May 2002 12:13:27 +0100

survex (1.0.7) unstable; urgency=low

  * print*: halted with a failed assertion in 1.0.4-1.0.6.

 -- Wookey <wookey@survex.com>  Mon, 08 Apr 2002 09:48:43 +0100

survex (1.0.6) unstable; urgency=low

  * Assorted aven fixes and enhancements.
  * Spell-checked documentation.

 -- Wookey <wookey@survex.com>  Sun, 07 Apr 2002 15:36:11 +0100

survex (1.0.5) unstable; urgency=low

  * img_open_survey() could crash if you tried to open an unrecognised file
    (i.e. not .3d, .pos, .plt, or .xyz format).
  * North and East were the wrong way round when reading in .plt files.
  * cad3d: Improved .plt file output - Compass should read it now.
  * Documentation updates.

 -- Wookey <wookey@survex.com>  Fri, 05 Apr 2002 01:52:54 +0100

survex (1.0.4) unstable; urgency=low

  * extend: now keep all names for an equated group of stations.
  * cad3d: if an output filename is given, use its extension to pick the
    default output format.
  * aven: movement with keyboard is now accelerated by Shift as in caverot.
  * print*: --no-borders fixed to work as documented; --no-cutlines added to
    turn off the dashed lines where pages join on multi-page printouts.
  * Improvements to .plt file reading.
  * Added support for reading CMAP XYZ files.
  * Documentation updates.

 -- Wookey <wookey@survex.com>  Mon, 01 Apr 2002 23:23:07 +0100

survex (1.0.3) unstable; urgency=low

  * aven: support for feet and grads.
  * aven: show altitude of mouse pointer when in elevation view.
  * print*: say where output is being sent.
  * Updated fr internationalisation; minor updates to other languages.

 -- Wookey <wookey@survex.com>  Thu, 21 Mar 2002 01:51:27 +0000

survex (1.0.2) unstable; urgency=low

  * printdm and printpcl now obey font_size_labels setting in print.ini etc.
  * Enhancements and bug-fix to handling of Topofil.
  * *FIX with 3 standard deviations but no covariances now works.
  * cad3d: new --plt option produces crude approximation to Compass .plt
    files - should be good enough for reading into Carto.
  * img library now reads Compass .plt files as if they were .3d files.
  * Updated ca and es internationalisations.

 -- Wookey <wookey@survex.com>  Sun, 17 Mar 2002 12:42:44 +0000

survex (1.0.1) unstable; urgency=low

  * Updated pt-br and it internationalisations.

 -- Wookey <wookey@survex.com>  Thu, 31 Jan 2002 06:15:26 +0000

survex (1.0.0) unstable; urgency=low

  * Compiling gfxcore.cc often causes an ICE in GCC 2.95, so if the compile
    fails on this source we now retry with -O instead of -O2.  Hopefully
    this'll get us a build on all architectures...

 -- Wookey <wookey@survex.com>  Sun, 23 Dec 2001 01:58:55 +0000

survex (0.99.10) unstable; urgency=low

  * Aven updates
  * Bug fix in .3d file reading code

 -- Wookey <wookey@survex.com>  Wed, 19 Dec 2001 14:28:10 +0000

survex (0.99.9) unstable; urgency=low

  * Aven updates

 -- Wookey <wookey@survex.com>  Sat, 15 Dec 2001 14:27:00 +0000

survex (0.99.8) unstable; urgency=low

  * New release - now compiles under GCC3.0 so should build on hppa

 -- Wookey <wookey@survex.com>  Tue, 04 Dec 2001 19:30:07 +0000

survex (0.99.7) unstable; urgency=low

  * New release

 -- Wookey <wookey@survex.com>  Thu, 15 Nov 2001 18:49:05 +0000

survex (0.99.6) unstable; urgency=low

  * New release (closes: bug#118280)

 -- Wookey <wookey@survex.com>  Fri, 09 Nov 2001 15:02:37 +0000

survex (0.99.5) unstable; urgency=low

  * New release (closes: bug#116511)
  * Aven updates

 -- Wookey <wookey@survex.com>  Mon, 22 Oct 2001 12:16:02 +0100

survex (0.99.4) unstable; urgency=low

  * New release

 -- Wookey <wookey@survex.com>  Fri, 12 Oct 2001 01:56:58 +0100

survex (0.99.3) unstable; urgency=low

  * New release

 -- Wookey <wookey@survex.com>  Fri, 05 Oct 2001 01:04:36 +0100

